Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.5 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

Installation issue in Plugins

My information:

  • PHP Version :
  • Web Server :
  • Database Server :
  • Version OCSReports:
  • 5.6.37
  • Apache/2.4.6 (CentOS) OpenSSL/1.0.2k-fips mod_fcgid/2.3.9 PHP/5.6.37 mod_perl/2.0.10 Perl/v5.16.3
  • MariaDB Server version 5.5.60-MariaDB
  • 2.5

OCS Inventory NG Agent:            2.4.0.0

I am trying to install Plugin without success. I downloaded plugins to folder /usr/share/ocsinventory-reports/ocsreports/download

[root@ocs download]# ll

-rw-r--r-- 1 apache apache  10975 Jul 24 15:59 bitlockerstatus.zip

-rw-r--r-- 1 root   root    12295 Jul 24 16:01 driverslist.zip

-rw-r--r-- 1 apache apache  20219 May 21  2017 officepack.zip

drwxr-xr-x 7 root   root     4096 Sep  4 14:26 PluginOcsOfficekey-2.2.4

-rw-r--r-- 1 root   root   104603 Mar 11  2014 PluginOcsOfficekey-2.2.4.tar.gz

-rwxr-xr-x 1 apache apache    127 Aug 31 11:38 README

-rw-r--r-- 1 apache apache  10548 May 21  2017 security.zip

-rwxr-xr-x 1 apache apache  10082 May 21  2017 winupdate.zip

[root@ocs download]#

Downloaded and copied .VBS file in agent folder location C:\Program Files (x86)\OCS Inventory Agent\Plugins

 Directory of C:\Program Files (x86)\OCS Inventory Agent\Plugins     ..

09/04/2018  01:59 PM            59,254 bitlockerstatus.vbs

07/24/2018  06:51 PM                 0 DO_NOT_REMOVE.txt

09/04/2018  02:13 PM           143,041 driverslist.vbs

   

From GUI, I go to Plugins Manager , choose the plugin and click on Install. But I am getting error

The communication server encountered the following error on install :  
Click here to solve your problem

Clicking on the above link takes me to https://github.com/OCSInventory-NG/OCSInventory-ocsreports/wiki/Plugins-Engine-:-Web-service-error-codes 

To troubleshoot I checked the folders mentioned in the above link and in my case all those folders are completely empty. 

If I go to GUI Plugins Manager and click on Install again, then it says that "This plugin has been already installed". But the OCS server is not showing any plugin information. I am not sure where I made mistake. 

Can you please help?

TIA.

asked in OCS Inventory NG server for Unix by (270 points)

3 Answers

0 votes
Hi,

What errors have you in your apache error log file?

Regards

Frank
answered by (63.3k points)
+1 vote
First thing try to check if all the zip files in download directory have the  apache owner(should be apache:apache or www-data:www-data depend of SO) from your list i see they seems have different owners
answered by (260 points)
0 votes
yes, i checked with both apache:apache and root:root ownership.

but in both cases, same error happens.
answered by (270 points)
 
Powered by Question2Answer
...